<?php

$manifest = array(
    'key' => 6247762381,
    'acceptable_sugar_flavors' => array(
        'PRO',
        'CORP',
        'ENT',
        'ULT',
    ),
    'acceptable_sugar_versions' => array(
        'regex_matches' => array('.*'),
    ),
    'author' => 'Implicit Inc.',
    'description' => 'Installs an extension to support Implicit FrontEnd',
    'icon' => '',
    'is_uninstallable' => true,
    'name' => 'Implicit FrontEnd Customization',
    'published_date' => '2019-01-01 00:00:00',
    'type' => 'module',
    'version' => '1.0',
);

$installdefs = array(
	'id' => 'implicit_frontend',
	'copy' => array(
		array(
			'from' => '<basepath>/frontend_cors_hook.php',
			'to' => 'custom/frontend_cors_hook.php',
		),
	),
    'logic_hooks' => array(
        array(
            'module'      => '',
            'hook'        => 'before_routing',
            'order'      => 100,
            'description'  => 'Implicit FrontEnd CORS Hook',
            'file'        => 'custom/frontend_cors_hook.php',
            'class'      => 'frontend_cors_hook',
            'function'    => 'before_routing_method',
          ),
        array(
          'module'      => '',
          'hook'        => 'before_respond',
          'order'      => 100,
          'description'  => 'Implicit FrontEnd CORS Hook',
          'file'        => 'custom/frontend_cors_hook.php',
          'class'      => 'frontend_cors_hook',
          'function'    => 'before_respond_method',
        ),
    ),
);